Rechercher
Contactez-nous Suivez-nous sur Twitter En francais English Language
 

De la Théorie à la pratique











Abonnez-vous gratuitement à notre NEWSLETTER

Newsletter FR

Newsletter EN

Vulnérabilités

Se désabonner

Vigil@nce : Gimp, débordement d’entier via PCX

juin 2011 par Vigil@nce

Ce bulletin a été rédigé par Vigil@nce : http://vigilance.fr/

SYNTHÈSE DE LA VULNÉRABILITÉ

Un attaquant peut inviter la victime à ouvrir une image PCX illicite avec Gimp, afin de provoquer un débordement d’entier, conduisant à l’exécution de code.

- Gravité : 2/4
- Date création : 07/06/2011

PRODUITS CONCERNÉS

- GIMP
- OpenSUSE
- Red Hat Enterprise Linux
- SUSE Linux Enterprise Server

DESCRIPTION DE LA VULNÉRABILITÉ

Le programme Gimp est utilisé pour manipuler des images au format PCX (Personal Computer eXchange).

La fonction load_image() du fichier plug-ins/common/file-pcx.c charge les images au format PCX. Pour cela, elle alloue des zones mémoire dont la taille est le résultat de la multiplication de la largeur par la hauteur de l’image. Cependant, cette multiplication peut débordement, ce qui force Gimp à stocker des données dans une zone mémoire trop courte.

Un attaquant peut donc inviter la victime à ouvrir une image PCX illicite avec Gimp, afin de provoquer un débordement d’entier, conduisant à l’exécution de code.

ACCÈS AU BULLETIN VIGIL@NCE COMPLET

http://vigilance.fr/vulnerabilite/G...




Voir les articles précédents

    

Voir les articles suivants